2.2.0 (2025-07-31):
    ## New Features (Feat)
    - !455: feat(Simplification): Add a wrapper around CGAL 2D simplification (Loïc Bartoletti)
    - !383: feat(cmake config): add a modern CMake Find (Loïc Bartoletti)
    ## Bug Fixes (Fix)
    - !523: fix(Simplification): Add validitiy check (Loïc Bartoletti)
    - !522: fix(Algorithm): Visibilty returns empty polygon if one input is empty (Loïc Bartoletti)
    - !520: capi: fix missing @post documentation (Benoit D.-M.)
    - !516: fix(StraightSkeleton): Return POLYHEDRALSURFACE EMPTY if input geometry is empty (Loïc Bartoletti)
    - !511: Extrude Straigth Skeleton: Fix geometry validity removing roof bottom (Loïc Bartoletti)
    - !510: fix(ci): Ignore deleted files in doxygen check (Jean Felder)
    - !499: fix(intersection): handle multiple intersection points for segment-solid intersection (Loïc Bartoletti)
    - !490: fix(capi): Mark sfcgal_triangulated_surface_add_triangle as deprecated (Jean Felder)
    - !489: fix(centroid): Fix ignored attribute warning (Jean Felder)
    - !483: fix(alphaShapes): handle missing optimal alpha iterator properly (Loïc Bartoletti)
    - !480: fix(capi): Fix patches typo in documentation (Jean Felder)
    - !479: fix(polyhedralsurface): Fix wrong variable name (Jean Felder)
    - !478: fix(ci): Upload clang-tidy artifact on failure (Jean Felder)
    - !477: fix(capi): Fix sfcgal_geometry_alpha_wrapping_3d documentation (Jean Felder)
    - !474: fix(triangulatedsurface): Use correct plural form for patch (Jean Felder)
    - !461: Treat PolyhedralSurface and TriangulatedSurface as one geometry instead of a Collection of Polygons/Triangles (Jean Felder)
    ## Improvements (Improve/Update)
    - !508: chore(release): Specify that the sonar file needs to be updated (Jean Felder)
    - !506: refactor(Primitive-3D): Move sphere and cylinder to a dedicated primitive3d folder (Loïc Bartoletti)
    - !496: docker: Add missing files to compile (Jean Felder)
    - !493: refactor: Use " instead of <> for SFCGAL header (Loïc Bartoletti)
    ## Continuous Integration (CI)
    - !503: chore(ci): Allow failure of the windows jobs (Jean Felder)
    - !500: chore(ci): Add a job to build latest macos version as a brew package (Jean Felder)
    - !495: ci and pre-commit: Apply clang-format on the test directory too (Jean Felder)
    - !492: Add CI markdown (Loïc Bartoletti)
    - !491: chore(ci): Also test fedora 42 (Jean Felder)
    - !488: chore: replace CI_COMMIT_REF_NAME var by %{source_branch} in MR template (Benoit D.-M.)
    - !484: chore(BSD CI): Use Github actions (Loïc Bartoletti)
    - !482: chore(ci): Improve doxygen config file to avoid false positives (Jean Felder)
    - !476: ci: check doxygen warnings (Jean Felder)
    ## Documentation (Docs)
    - !481: Capi doc fixes (Jean Felder)
    - !473: capi: force the value of CGAL error behaviour to THROW_EXCEPTION in sfcgal_init() (Benoit D.-M.)
    ## Tests (Tests)
    - !515: sfcgal-config: Define CMAKE_INSTALL_FULL_LIBDIR if not defined and add unit test for sfcgal-config --libs (Loïc Bartoletti)
    - !502: chore(clang-tidy): Disable readability-magic-numbers check in test (Jean Felder)
    - !497: tests(bin): Do not install tests bin (Loïc Bartoletti)
    - !487: tests(AlphaWrapping): Workaround for tests (Loïc Bartoletti)
    ## Chore / Maintenance (Chore)
    - !518: build: Add an option to compile with thread sanitizer (Jean Felder)
    - !514: chore(clang-tidy): Ignore use-trailing-return-type warning in capi (Jean Felder)
    - !512: chore(build): Post release bump version (Jean Felder)
    - !509: chore(sonar): Bump version number to 2.1.0 (Jean Felder)
    - !507: chore(ci): Fix gitlab pages deploy job (Jean Felder)
    - !505: chore(clang-tidy): Ignore some default names in readability-identifier-length (Jean Felder)
    - !504: chore(sfcgal_cTest): Fix clang-tidy warnings (Jean Felder)
    - !494: style: apply clang-format to example and test (Loïc Bartoletti)
    - !485: chore(MR): Add template (Loïc Bartoletti)
    - !475: chore(2.1.0): Prepare 2.1.0. Add NEWS (Loïc Bartoletti)
    - !462: chore: add commitizen to the project (Jean Felder)
    ## Misc
    - !521: Fix license years (Loïc Bartoletti)
    - !517: Ensure that all source files contain copyright and license info (Jean Felder)
    - !501: IO: Add STL export (Loïc Bartoletti)
    - !498: Added square logo for SFCGAL (Sylvain Beorchia)
    - !486: Workaround for alpha wrapping segfault with gcc 15.1 (Jean Felder)
    - !384: Nix cmake (Loïc Bartoletti)
2.1.0 (2025-05-14):
	## New Features (Feat)
		- !464: Add a new Segment class (Loïc Bartoletti)
		- !463: Add a const ESPILON=1e-8 and use it (Loïc Bartoletti)
		- !461: Treat PolyhedralSurface and TriangulatedSurface as one geometry instead of a Collection of Polygons/Triangles (Jean Felder)
		- !459: Add sfcgal_geometry_force_m (Jean Felder)
		- !458: Add sfcgal_geometry_force_z (Jean Felder)
		- !457: Add support for swapXY (Jean Felder)
		- !455: Add a wrapper around CGAL 2D simplification (Loïc Bartoletti)
		- !452: Add sfcgal_geometry_boundary (Jean Felder)
		- !451: Add support for sfcgal_geometry_type (Jean Felder)
		- !449: Add sfcgal_geometry_dimension (Jean Felder)
		- !448: Add support for geometry::dropM (Jean Felder)
		- !447: Add support for geometry::dropZ (Jean Felder)
		- !433: Add sfcgal_geometry_is_equals function (Benoit De Mezzo)
		- !423: Add Centroid algorithm and apic (Benoit De Mezzo)
		- !421: Add sfcgal_geometry_length functions (Benoit De Mezzo)
		- !419: Add a setGeometryN method (Jean Felder)
		- !413: Add sfcgal_delete_buffer (Benoit De Mezzo)
		- !398: Add 3D Alpha Wrapping algorithm (Jean Felder)
		- !390: Add a method to set the external shell (Jean Felder)
		- !383: Add a modern CMake Find (Loïc Bartoletti)
		- !382: Add isSimple method for geometries (Raphael Delhome)
	## Bug Fixes (Fix)
		- !489: Fix ignored attribute warning (centroid) (Jean Felder)
		- !486: Workaround for alpha wrapping segfault with gcc 15.1 (Jean Felder)
		- !483: handle missing optimal alpha iterator properly (Loïc Bartoletti)
		- !479: Fix wrong variable name for PolyhedralSurface (Jean Felder)
		- !474: Use correct plural form for patch in triangulatedsurface (Jean Felder)
		- !472: Fix constructor to avoid Kernel::FT creation when z is NaN (Benoit De Mezzo)
		- !470: Make const the "geom" param of sfcgal_geometry_simplify (Benoit De Mezzo)
		- !467: Enforce ring order and apply NoValidityCheck in Partition (Loïc Bartoletti)
		- !466: Return PolyhedralSurface instead of MultiPolygon in StraightSkeletonPartition (Loïc Bartoletti)
		- !456: Fix typo in triangle test (Jean Felder)
		- !454: Make translate geom parameter const (Jean Felder)
		- !450: Improve sfcgal_geometry_covers documentation (Jean Felder)
		- !445: Add missing override in geometrycollection (Jean Felder)
		- !444: Use sfcgal exception everywhere (Jean Felder)
		- !440: Throw an error in geometryN in case of failure (Jean Felder)
		- !438: Add missing override to the different geometry classes (Jean Felder)
		- !435: Remove default value for sfcgal_geometry_is_almost_equals (Jean Felder)
		- !434: Fix deprecated usage in capi (Jean Felder)
		- !430: Improve buffer allocations, checks and set default content (Benoit De Mezzo)
		- !429: Fix numGeometries for atomic empty geometries (Jean Felder)
		- !420: Split sfcgal_geometry_envelope function in 2D/3D variants (Benoit De Mezzo)
		- !418: Misc alpha wrapping fixes follow up (Jean Felder)
		- !415: Fix typo in SFCGAL_VALGRIND (Jean Felder)
		- !414: Fix typo in sfcgal_set_alloc_handlers documentation (Jean Felder)
		- !409: Fix geometry memory leaks in C API unit tests (Jean Felder)
		- !406: Fix a typo and bump standard version (Loïc Bartoletti)
		- !402: Fix typo in wkbreader (Jean Felder)
		- !400: Fix a segfault in exterior shell unit test (Jean Felder)
		- !395: Fix some compilation warning (Jean Felder)
		- !388: Fix error message in addGeometry for GeometryCollection (Jean Felder)
		- !381: Buffer3d should not accept segments=3 (Raphael Delhome)
		- !378: Remove unused variable is_first in buffer3d (Jean Felder)
	## Improvements (Improve/Update)
		- !490: Mark sfcgal_triangulated_surface_add_triangle as deprecated (Jean Felder)
		- !488: replace CI_COMMIT_REF_NAME var by %{source_branch} in MR template (Benoit De Mezzo)
		- !485: Add MR template (Loïc Bartoletti)
		- !469: Remove unused preserveTopology in Simplification (Loïc Bartoletti)
		- !468: Remove unused Z value and useless dimension code in SegmentStore (Loïc Bartoletti)
		- !465: Update clang-format to version 19 (Jean Felder)
		- !453: Explain sfcgal_geometry_buffer3d memory management (Jean Felder)
		- !442: Fix some ci pipelines (Jean Felder)
		- !436: Add a test to check that the c api works (Jean Felder)
		- !432: Rework code documentation (Benoit De Mezzo)
		- !424: Update badge URL (Raphael Delhome)
		- !422: Add missing tests for apic (Benoit De Mezzo)
		- !412: Improve explanation about test executions (Benoit De Mezzo)
		- !411: Improve support for valgrind (Benoit De Mezzo)
		- !408: Add missing function to api C (Benoit De Mezzo)
		- !407: Fix links (Loïc Bartoletti)
		- !405: Minor documentation fixes improvements (Ju M)
		- !403: Remove redundant Boost_USE_STATIC_LIBS=OFF setting (Loïc Bartoletti)
		- !380: The buffer3d type name should be uppercase (Raphael Delhome)
		- !379: Some improvements in the doc (Florent Fougères)
	## Continuous Integration (CI)
		- !492: Add CI Markdown (Loïc Bartoletti)
		- !491: Test Fedora 42 (Jean Felder)
		- !484: Use Github actions for FreeBSD, NetBSD, OpenBSD and macOS CI (Loïc Bartoletti)
		- !482: Improve doxygen config file to avoid false positives (Jean Felder)
		- !478: Upload clang-tidy artifact on failure (Jean Felder)
		- !476: check doxygen warnings (Jean Felder)
		- !460: Init 2.1.0 (Loïc Bartoletti)
		- !439: Bump FreeBSD to 14.2 and remove 13.3 (Loïc Bartoletti)
		- !428: Ignore vcpkg.json in gitlab CI (Jean Felder)
		- !416: Update runner and add linux and macos for vcpkg (Loïc Bartoletti)
		- !410: Fix debian clang testing ci (Jean Felder)
		- !404: Bump macOs image to sonoma (Loïc Bartoletti)
		- !401: Renable parallalize build (Jean Felder)
		- !394: Use all procs for the build jobs (Jean Felder)
		- !389: Bump CGAL versions to 5.6.2 and 6.0.1 (Loïc Bartoletti)
		- !387: Upgrade clang-format from 15 to 16 in the CI (Raphael Delhome)
		- !385: Ensure to use the .clang-format configuration file (Jean Felder)
		- !384: Nix cmake (Loïc Bartoletti)
		- !377: Pages and build:documentation need to have the same limitations (Jean Felder)
		- !376: Declare dependencies for docker deploy jobs (Jean Felder)
		- !375: Declare dependencies for docker deploy jobs (Jean Felder)
	## Documentation (Docs)
		- !481: Capi doc fixes (Jean Felder)
		- !480: Fix patches typo in documentation (capi) (Jean Felder)
		- !477: Fix sfcgal_geometry_alpha_wrapping_3d documentation (Jean Felder)
	## Tests (Tests)
		- !487: Workaround for AlphaWrapping tests (Loïc Bartoletti)
2.0.0 (2024-10-10):
	## New Features (Feat)
		- !348: Rewrite VTK export like OBJ one (Loïc Bartoletti)
		- !347: Add translate method to C API (Loïc Bartoletti)
		- !345: Add scale method to Transform (Loïc Bartoletti)
		- !344: Add rotate method to Transform (Loïc Bartoletti)
		- !342: Add Buffer3D functionality (Loïc Bartoletti)
		- !341: Add partitioning algorithm using Straight Skeleton (Loïc Bartoletti)
		- !340: Add Minkowski Sum 3D (Loïc Bartoletti)
		- !339: Add a Cylinder (3D) Class (Loïc Bartoletti)
		- !338: Add a Sphere (3D) Class (Loïc Bartoletti)
		- !334: Add OBJ export functionality to SFCGAL (Loïc Bartoletti)
	## Bug Fixes (Fix)
		- !354: Ensure null termination in geometry_as_text functions (sfcgal_capi) (Loïc Bartoletti)
		- !352: Fix test MinkowskiSum3D (Loïc Bartoletti)
		- !351: Fix vcpkg build (Loïc Bartoletti)
		- !349: Fix build for clang18, missing includes (Loïc Bartoletti)
		- !346: Add missing SFCGAL_API for VTK and OBJ headers (exportDll) (Loïc Bartoletti)
	## Improvements (Improve/Update)
		- !374: Add the MultiSolid class to the C API
		- !366: Add missing pre-condition in C API (Raphaël Delhome)
		- !364: Fix warnings and apply clang-tidy fix (Loïc Bartoletti)
		- !358: Improve Buffer3D tests resilience for cross-platform compatibility (Loïc Bartoletti)
		- !337: Improve error message for Straight Skeleton (Loïc Bartoletti)
		- !331: Generalize PolyhedralSurface constructor with template (Loïc Bartoletti)
		- !325: Compatibility with CGAL 6.0 and 5.6 (Sebastien Loriot)
	## Continuous Integration (CI)
	  - !356: Matrix test for CGAL 5.6 and 6.0 (Loïc Bartoletti)
		- !355: Disable a flaky test for MinkowskiSum3D in MinGW (Loïc Bartoletti)
		- !353: Always run 'build:debian-docker-image' job (Jean Felder)
		- !333: Use a global variable to define CGAL version (Jean Felder)
		- !329: Allow CGAL 6.0 CI and update CI images (Loïc Bartoletti)
		- !323: Build a debian docker image (Jean Felder)
	## Documentation (Docs)
		- !335: Add an option to build documentation in CMakeLists (Jean Felder)
		- !332: Add pre-commit workflow to the README (Jean Felder)
	## Tests (Tests)
		- !343: Add unit test for Translate (Loïc Bartoletti)
1.5.2 (2024-07-25):
    * Force LHR / RHR: Fix invalid interior ring orientation and allow operation on 3D geometries too (Loïc Bartoletti, Fixes #268)
    * Added community-oriented files: Code of Conduct, Contributing guidelines, Sponsors information, and Project Steering Committee (PSC) documentation (Raphaël Delhome, Loïc Bartoletti)
    * WKB: add binary version of wkb for WkbReader and WkbWriter (Benoit De Mezzo)
    * Expose as_vtk to C Api (Loïc Bartoletti)
    * Fix include. Use " instead of <> (Loïc Bartoletti)
    * [CI] Fix MSYS test (Loïc Bartoletti)
    * Fix build with boost 1.85 (Dirk Stöcker, Fixes #266)
    * Add a CI job to build a windows docker image (Jean Felder)
1.5.1 (2023-12-21):
    * Rewrite and fix visibility algorithm (Loïc Bartoletti)
    * Apply clang-tidy fixes (Loïc Bartoletti)
    * Add vcpkg CI and temporarily disable alpha-shapes for MSVC (Loïc Bartoletti)
1.5.0 (2023-10-30):
    * Add visibility algorithms (Loïc Bartoletti)
    * Straight Skeleton: Add a version with extrusion
    * WKT: Fix triangle code (Loïc Bartoletti)
    * Allow to disable GMPXX (Loïc Bartoletti, Fixes #249 and #252)
    * Add polygon partition (Raphaël Delhome, Loïc Bartoletti)
    * Minor typo correction (Regina Obe, #280)
    * Remove CGAL unit test (Fix #257, Loïc Bartoletti)
    * [C API] Add sfcgal_point_create_from_xyzm and sfcgal_point_create_from_xym functions (Loïc Bartoletti #274)
    * Update CI and add FreeBSD, macOs CI (Loïc Bartoletti)
    * Minors fixes (Loïc Bartoletti #269 and #270)
    * Remove useless garden tests (Loïc Bartoletti)
    * Fix SPDX-License-Identifier (Loïc Bartoletti reported by Bas Couwenberg #250)
NOTE: This is the first release on GitLab/SFCGAL space.
SFCGAL has now a dedicated space outside Oslandia one: https://gitlab.com/SFCGAL/.
1.4.1 (2022-01-27):
    * Add alpha-shapes algorithm (Loïc Bartoletti, Hugo Mercier)
    * Fix build and tests for MSYS2/MinGW (Loïc Bartoletti)
    * Modernize code (Loïc Bartoletti)
    * Remove patches for Boost 1.60.0 (Loïc Bartoletti)
    * Fix isPlane3d (#247, by fan fan)
    * Fix ST_StraightSkeleton returns degenerate line segments. Add a new parameter `toleranceAbs` (Loïc Bartoletti)
    * Add tests for issues #133 and #153 (Loïc Bartoletti)
    * Add ccache, and improve CI (Loïc Bartoletti)
1.4.0 (2021-09-13):
    * Use officially documented CGAL functions. SFCGAL requires CGAL >= 5.3.
    * Fix compilation issue with CGAL 5.3 (Sébastien Loriot)
    * Add sfcgal_full_version with SFCGAL, CGAL and Boost (Loïc Bartoletti)
    * Add include <CGAL/version_macros.h> to build tests with CGAL 4.12 (Bruno Friedmann)
1.3.10 (2021-04-17):
    * Bugfix release for CGAL 5.2
1.3.9 (2020-10-14):
    * Fix build against CGAL 5.1
1.3.8 (2020-06-29):
NOTE: This is the last release on Github. Oslandia migrates from GitHub to GitLab:
    * https://github.com/Oslandia/SFCGAL/issues/230
    * https://oslandia.com/en/2020/06/19/en-oslandia-migrates-from-github-to-gitlab/
Changes:
    * Fix CMake scripts so that SFCGAL_USE_STATIC_LIBS works properly again (Dave Chambers)
    * Fix for divide by zero error in triangulatePolygon3D (Fix #190, by Dave Chambers)
    * Replace of auto_ptr with unique_ptr and move to c++14 (Sébastien Loriot)
    * Add implementation of Geometry::operator=  (Hugo Mercier)
    * Fix CGAL v4.7 compatibility (Enrico Weigelt)
    * add pkg-config descriptor file (Enrico Weigelt)
    * Remove libtoolize (Loïc Bartoletti)
    * Add point_m and is_measured to c api (Hannes Janetzek)
    * Fix SFCGAL with CGAL 5 (and GMPXX issues) (Fix #198, by Loïc Bartoletti)
    * Add covers and covers3D to c api (Loïc Bartoletti)
    * Add documentation to SFCGAL::algorithm::extrude (Fix #110, by Daniel Cumberbatch)
    * Add 3D linear referencing / LineSubString (Fix #130, by Daniel Cumberbatch) and Fix built with MSCV 14 (< VisualStudio 2019 version 16.1) and export to C API (Loïc Bartoletti)
    * Fix CAPI export symbol for windows (Loïc Bartoletti)
    * Update and fix documentation (Fix #138, by Daniel Cumberbatch)
1.3.7 (2019-06-03):
    * Fix compilation with CGAL 4.14 (fix #188, path by Sebastien Loriot)
    * Build Triangulation even with intersecting constraint edges (Patch by Darafei Praliaskouski)
    * Fix C API headers (Patch by Matthieu Viry)
1.3.6 (2018-11-12):
    * Get rid of boost data_time dependency
    * Fix some implicit switch/case fallthroughs
    * Sync with CGAL 4.13 and prepare for CGAL 4.14
    * Fix a memory leak in extrude C API (fix #179)
    * Remove Nef polyhedra inclusion
    * Intersection: Fix lexicographic order of coordinates (fix #171)
1.3.5 (2018-04-23):
    * Fix 1.3.4 link issues.
1.3.4 (2018-04-10):
    * Fix postgis build issue. Also fix wrong version number in 1.3.3
1.3.3 (2018-04-06):
    * Fix compilation + tests with cgal 4.11.
    * WARNING: this release breaks postgis, you should use 1.3.4 !
1.3.2 (2017-09-17):
    * Fix compilation with CGAL 4.10 => minimal CGAL 4.10 branch version: 4.10.1
1.3.1 (2017-05-29):
    * Add a SFCGAL-osg library for OSG specific functions
    * Fix C API geometry_is_planar
    * Fix Doxygen script
1.3.0 (2016-02-29):
    * Add a validity flag to geometries
    * Add an option to straight skeleton to return the distance to borders
    * Add sfcgal_geometry_is_valid_detail to the C API
    * Remove grid and ASC reader
    * Remove the viewer
    * Fix compilation issue with boost 1.60 (#119)
    * Fix WKT parsing issues (#81 #117)
    * Retain bisectors of narrow angles in MedialAxis output
1.2.2 (2015-11-16):
    * Fix compilation issues with CGAL 4.7
    * Fix Travis CI support for CGAL 4.3 and CGAL 4.7
    * Fix potential crash in StraightSkeleton (#111)
1.2.1 - invalid release
1.2.0 (2015-09-18):
    * Improve the computation speed of straight skeletons by using an inexact construction kernel
    * Add a new function approximateMedialAxis
    * Fix an invalidity case (polygon degenerated to a point) #108
    * Fix compilation issues with boost 1.58
    * Add Travis support
1.1.0 (2015-01-14):
    * New spatial operation Union(geom, geom) and Difference(geom, geom).
    * Exposed Volume(geom) in C api and added output with a decimal
      representation sfcgal_geometry_as_text_decim (thanks @matze09)
    * Minor bug fixes
1.0.5 (2014-08-19):
    * Fix validity check message when converting to 2D
    * Fix a polygon orientation test (postgis bug #2818)
    * Fix a bug in plane3D
    * Add better handling of EMPTY in collections
    * Compilation issues:
      * Fix a cmake issue (FindOsgQT)
      * Fix compilation issue with gcc < 4.5
      * Avoid osg dependency when viewer is not built
      * Fix postgresql include directory
      * Add detection of lib64 directories
1.0.4 (2013-11-29):
    Fix compilation with CGAL 4.3

For older news, see https://github.com/Oslandia/SFCGAL/releases
